<template>
  <main>
    <div class="mt-container-small mt-container-padding-bottom-small">
      <mt-page-title :with-border="false"></mt-page-title>
      <h1>Nous contacter</h1>
    </div>
    <section class="mt-line-bleu columns is-centered ">
      <article class="columns">
        <div class="column is-8">
          <form @submit.prevent="submit">
            <section class="mt-message-information">
              <p>
                <b>
                  Vous rencontrez une difficulté ou vous souhaitez<br />
                  nous faire part d’une remarque ?
                </b>
              </p>
              <p>
                Vous pouvez contacter l’équipe METIIS via notre formulaire.<br />
                Pour nous permettre de vous répondre les meilleurs délais,<br />
                merci de préciser l’objet de votre demande.
              </p>
            </section>

            <div class="columns is-multiline">
              <b-field v-if="!utilisateur" class="column is-half" label="NOM* ">
                <b-input v-model="contact.nom" required class="mt-input" />
              </b-field>
              <b-field v-if="!utilisateur" class="column is-half" label="PRENOM* ">
                <b-input v-model="contact.prenom" required class="mt-input" />
              </b-field>
              <b-field v-if="!utilisateur" label="E-MAIL*" class="column is-full">
                <b-input v-model="contact.email" class="mt-input" placeholder="E-mail" type="email" required expanded />
              </b-field>
              <b-field label="Objet de votre demande*" class="column is-full">
                <b-select v-model="contact.objet" placeholder="Selectionnez" expanded required>
                  <option v-for="(option, index) in options" :key="index">
                    {{ option }}
                  </option>
                </b-select>
              </b-field>
              <b-field class="column is-full" label="Votre message*">
                <b-input v-model="contact.message" maxlength="500" type="textarea" required expanded></b-input>
              </b-field>
            </div>

            <div v-if="!utilisateur" class="columns accepte-infos">
              <b-field class="column is-narrow">
                <b-checkbox required />
              </b-field>
              <p class="column has-text-justified is-size-7">
                * En soumettant ce formulaire, j’accepte que les informations saisies soient exploitées dans le cadre de
                la gestion de votre demande. Vous disposez d’un droit d’accès, de rectification, de suppression, de
                limitation et d’opposition conformément à la réglementation sur la protection des données à caractère
                personnel.
              </p>
            </div>

            <b-button class="mt-button is-size-8 has-text-weight-semibold" type="is-primary" native-type="submit">
              Envoyer le message
            </b-button>
            <p class="mt-champs-obligatoire">* Champs obligatoires</p>
          </form>
        </div>
        <div class="column is-hidden-mobile">
          <img src="/image-contact.png" alt="image contact" />
        </div>
      </article>
    </section>

    <mt-modal-ok
      :ouvert.sync="ouvert"
      titre="Votre message a bien été pris en compte."
      button="Retour à l’accueil"
      class-button=""
      @action="retourAccueil"
    >
    </mt-modal-ok>
  </main>
</template>

<script>
import MtPageTitle from '~/components/base/page-title/index';
import userMixin from '~/components/mixins/userMixin';
import MtModalOk from '~/components/modal/mt-modal-ok';
import newContact from '~/components/mixins/contactMixin';

export default {
  layout: 'sans-container',
  auth: false,
  components: {
    MtPageTitle,
    MtModalOk,
  },
  mixins: [userMixin],
  data() {
    return {
      contact: newContact(),
      ouvert: false,
      options: ['Problème technique', 'Remarque ou amélioration', 'Autre demande'],
    };
  },
  methods: {
    remplirContact() {
      this.contact.nom = this.utilisateur.nom;
      this.contact.prenom = this.utilisateur.prenom;
      this.contact.email = this.utilisateur.email;
    },
    submit() {
      if (this.contact.nom == null && this.contact.prenom == null && this.contact.email == null) {
        this.remplirContact();
      }
      this.$api.contact.post(this.contact);
      this.ouvert = true;
    },
    retourAccueil() {
      this.$router.push('/');
    },
  },
};
</script>
<style scoped lang="scss">
@import '~/assets/css/_variables.scss';
h1 {
  color: $soft-blue;
  margin-bottom: 2rem;
  font-size: 2.125rem;
  font-weight: 300;
}
main {
  flex-grow: 1;
  justify-content: flex-start;
  display: flex;
  flex-direction: column;
  align-items: stretch;
}

.mt-line-bleu {
  --page-size: #{$mt-container-small-width};
  background-color: $pale-grey-two;
  padding: 2rem 5vw;
  margin-bottom: 2rem;
  position: relative;

  form * {
    position: relative;
  }

  &::before {
    content: '';
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    top: 324px;
    background-color: white;
  }

  article {
    max-width: var(--page-size);
    flex-grow: 1;
  }

  img {
    position: absolute;
    height: 432px;
    margin-left: 2.063rem;
  }
}

.mt-message-information {
  font-size: 0.975rem;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.27;
  letter-spacing: normal;
  text-align: justify;
  color: #60666a;
  margin-bottom: 0.5rem;
  margin-top: 0.5rem;

  p {
    margin-bottom: 1.5rem;
  }
}
.accepte-infos {
  margin-bottom: 1rem;
  margin-top: 0;
  color: #60666a;
  line-height: 1.31;
}

.mt-champs-obligatoire {
  text-align: justify;
  color: $grey-dark;
  font-stretch: normal;
  font-size: 0.938rem;
  line-height: 1.5;
  margin: 1rem 0;
}
</style>
